apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  namespace: monitoring
  name: thanos-auth
  annotations:
    # nginx.ingress.kubernetes.io/service-upstream: "true"
    nginx.ingress.kubernetes.io/configuration-snippet: |
      set $proxy_upstream_name "ingress-nginx-oauth2-proxy-4180";
spec:
  tls:
    - hosts:
        - thanos-query.z8s.zooxlabs.com
  rules:
  - host: thanos-query.z8s.zooxlabs.com
    http:
      paths:
      - path: /oauth2
        backend:
          serviceName: thanos-query
          servicePort: 9090
